[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.AfterClose

Event triggered after the dataset is closed

## Declaration

Source position: db.pas line 1650

`public property TDataSet.AfterClose : TDataSetNotifyEvent read FAfterClose write FAfterClose;`

## Description

AfterOpen is triggered after the dataset is opened. The dataset has discarded its data and has cleaned up it's internal memory structures. It is in dsInactive state when this event is triggered.

## See also

TDataset.BeforeClose |  | Event triggered before the dataset is closed.
TDataset.State |  | Current operational state of the dataset

Documentation generated on: Feb 26 2014